export function chunkArr(list: [], size: number = 4) {
  if (list.length <= 0 || size <= 0) {
    return list;
  }

  let chunks = [];

  for (let i = 0; i < list.length; i = i + size) {
    chunks.push(list.slice(i, i + size));
  }

  return chunks;
}

export function isWeChat(): boolean {
  //window.navigator.userAgent属性包含了浏览器类型、版本、操作系统类型、浏览器引擎类型等信息，这个属性可以用来判断浏览器类型
  var ua = window.navigator.userAgent.toLowerCase() as any;
  //通过正则表达式匹配ua中是否含有MicroMessenger字符串
  if (ua.match(/MicroMessenger/i) == "micromessenger") {
    return true;
  } else {
    return false;
  }
}
export function isDingTalk(): boolean {
  //window.navigator.userAgent属性包含了浏览器类型、版本、操作系统类型、浏览器引擎类型等信息，这个属性可以用来判断浏览器类型
  var ua = window.navigator.userAgent.toLowerCase() as any;
  //通过正则表达式匹配ua中是否含有MicroMessenger字符串
  if (/dingtalk/ig.test(ua)) {
    return true;
  } else {
    return false;
  }
}
